gnutls_hmac_fast(3)

NAME
gnutls_hmac_fast - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hmac_fast(gnutls_mac_algorithm_t algorithm, const void * key, size_t keylen, const void * text, size_t textlen, void * digest);

ARGUMENTS

gnutls_mac_algorithm_t algorithm
    the hash algorithm to use

const void * key
    the key to use

size_t keylen
    The length of the key

const void * text
    the data to hash

size_t textlen
    The length of data to hash

void * digest
    is the output value of the hash

DESCRIPTION
This convenience function will hash the given data and return output on a single call.

RETURNS
Zero or a negative value on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.